petsc-3.4.2 2013-07-02

# SNESLineSearchGetVIFunctions

Sets VI-specific functions for line search computation.

### Synopsis

    #include "petscsnes.h"
    extern PetscErrorCode SNESLineSearchGetVIFunctions(SNESLineSearch linesearch, SNESLineSearchVIProjectFunc *projectfunc, SNESLineSearchVINormFunc *normfunc)

### Input Parameters

snes -nonlinear context obtained from SNESCreate()

### Output Parameters

| projectfunc | - function for projecting the function to the bounds
| normfunc | - function for computing the norm of an active set

Logically Collective on SNES

### Keywords

SNES, line search, VI, nonlinear, get, line search

### See Also

SNESLineSearchSetVIFunctions(), SNESLineSearchGetPostCheck(), SNESLineSearchGetPreCheck()

Level:developer
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages